Bug 178016 - Installer does not recognize Intel SATA (ata_piix module based)
Installer does not recognize Intel SATA (ata_piix module based)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 07:44 EST by Christopher M. Smith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 09:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher M. Smith 2006-01-17 07:44:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
Hardware type: IBM T43 laptop install.

dmesg snippet (after successful linux noprobe install):

$ dmesg | grep ata
 BIOS-e820: 000000005fee0000 - 000000005fef5000 (ACPI data)
Memory: 1553076k/1571712k available (1927k kernel code, 17360k reserved, 779k data, 176k init, 654208k highmem)
ksign: Installing public key data
Write protecting the kernel read-only data: 357k
libata version 1.20 loaded.
ata_piix 0000:00:1f.2: version 1.05
ata: 0x170 IDE port busy
ata1: SATA max UDMA/133 cmd 0x1F0 ctl 0x3F6 bmdma 0x18C0 irq 14
ata1: dev 0 cfg 49:2f00 82:7c6b 83:5909 84:6003 85:7c69 86:1809 87:6003 88:203f
ata1: dev 0 ATA-6, max UDMA/100, 78140160 sectors: LBA
ata1(0): applying bridge limits
ata1: dev 0 configured for UDMA/100
scsi0 : ata_piix
EXT3-fs: mounted filesystem with ordered data mode.
ieee80211: 802.11 data/management/control stack, git-1.1.7
EXT3-fs: mounted filesystem with ordered data mode.
EXT3-fs: mounted filesystem with ordered data mode.
$

When booting from DVD or CD (for network boot), install hangs scanning for hardware to install to (and read from).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from boot media with system with ata_piix SATA based hardware
2. System will boot to the linux: install prompt.
3. Once you do this, it will scan for quite awhile unable to find the storage / CD subsystems once the install kernel is booted.
4. Either wait out the scan (long), or reboot and do the install with the 'noprobe' option and manually select your drivers.
  

Actual Results:  The install does not complete.

Expected Results:  The install should complete :)

Additional info:

Output of lsmod and lspci (In case you would like them)

$ /sbin/lsmod
Module                  Size  Used by
tun                    11073  1
radeon                 96097  1
drm                    66133  2 radeon
ppdev                   8645  0
autofs4                19013  1
rfcomm                 34005  0
l2cap                  23617  5 rfcomm
bluetooth              44069  2 rfcomm,l2cap
sunrpc                135933  1
ip_conntrack_netbios_ns     3009  0
ipt_REJECT              5441  1
xt_state                2241  4
ip_conntrack           49261  2 ip_conntrack_netbios_ns,xt_state
nfnetlink               6489  1 ip_conntrack
xt_tcpudp               3265  6
iptable_filter          3137  1
ip_tables              11529  1 iptable_filter
x_tables               12613  4 ipt_REJECT,xt_state,xt_tcpudp,ip_tables
dm_mirror              20113  0
dm_mod                 50137  1 dm_mirror
video                  14917  0
ibm_acpi               25025  0
button                  6609  0
battery                 9285  0
ac                      4933  0
ipv6                  226849  14
lp                     12297  0
parport_pc             25445  1
parport                34313  3 ppdev,lp,parport_pc
floppy                 57861  0
nvram                   8393  0
snd_intel8x0m          16077  1
ipw2200                84237  0
ieee80211              28297  1 ipw2200
uhci_hcd               28881  0
ehci_hcd               29645  0
ieee80211_crypt         6081  1 ieee80211
snd_intel8x0           30301  1
tg3                    90053  0
snd_ac97_codec         83809  2 snd_intel8x0m,snd_intel8x0
snd_ac97_bus            2497  1 snd_ac97_codec
snd_seq_dummy           3781  0
snd_seq_oss            28993  0
snd_seq_midi_event      7105  1 snd_seq_oss
snd_seq                47153  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          8909  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            45009  0
snd_mixer_oss          16321  3 snd_pcm_oss
snd_pcm                76869  4 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              22597  2 snd_seq,snd_pcm
snd                    50501  10 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss, snd_mixer_oss,snd_pcm,snd_timer
i2c_i801                8269  0
i2c_core               20289  1 i2c_i801
soundcore               9377  3 snd
snd_page_alloc         10441  3 snd_intel8x0m,snd_intel8x0,snd_pcm
ext3                  116041  3
jbd                    52949  1 ext3
ahci                   12229  0
ata_piix                9797  4
libata                 53069  2 ahci,ata_piix
sd_mod                 16449  5
scsi_mod              124265  3 ahci,libata,sd_mod
$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root Port (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Radeon Mobility M300]
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751M Gigabit Ethernet PCI Express (rev 11)
04:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 8d)
04:02.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
$
Comment 1 David Cantrell 2006-01-18 11:22:09 EST
Restart the installation, but pass the 'nostorage' option.  The list of devices
presented should show both an SATA and PATA controllers.  Select the PATA
controller first.  Then select the SATA controller.  By default the SATA module
is loaded first, which grabs the SATA-PATA bridge and prevents the PATA driver
from taking back the device.  But if you load them in the right order, it is
supposed to work.

Let me know if that works.
Comment 2 John Thacker 2006-05-05 09:16:56 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.